org.hibernate.validator.internal.util

## Class ExecutableHelper

- java.lang.Object
- - org.hibernate.validator.internal.util.ExecutableHelper

-     public final class ExecutableHelper
      extends Object

  Provides shared functionality dealing with executables.
  Author:
    Hardy Ferentschik, Gunnar Morling, Kevin Pollet (C) 2011 SERLI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutableHelper(TypeResolutionHelper typeResolutionHelper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `overrides(ExecutableElement executableElement, ExecutableElement other)` Checks, whether the represented method overrides the given method.
    `boolean` | `overrides(Method subTypeMethod, Method superTypeMethod)` Checks, whether `subTypeMethod` overrides `superTypeMethod`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutableHelper

          public ExecutableHelper(TypeResolutionHelper typeResolutionHelper)

  - ### Method Detail

    - #### overrides

          public boolean overrides(ExecutableElement executableElement,
                          ExecutableElement other)

      Checks, whether the represented method overrides the given method.
      Parameters:
        `other` - The method to test.
      Returns:
        `true` If this methods overrides the passed method, `false` otherwise.

    - #### overrides

          public boolean overrides(Method subTypeMethod,
                          Method superTypeMethod)

      Checks, whether `subTypeMethod` overrides `superTypeMethod`.
      Parameters:
        `subTypeMethod` - The sub type method (cannot be `null`).
        `superTypeMethod` - The super type method (cannot be `null`).
      Returns:
        Returns `true` if `subTypeMethod` overrides `superTypeMethod`, `false` otherwise.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved